<?xml version="1.0" encoding="UTF-8"?>
<module xmlns="urn:jboss:module:1.1" name="org.apache.camel.component.swagger">
  <resources>
    <resource-root path="camel-swagger-java-2.18.0.jar"/>
    <resource-root path="reflections-0.9.10.jar"/>
    <resource-root path="swagger-annotations-1.5.10.jar"/>
    <resource-root path="swagger-core-1.5.10.jar"/>
    <resource-root path="swagger-jaxrs-1.5.10.jar"/>
    <resource-root path="swagger-models-1.5.10.jar"/>
    <resource-root path="swagger-parser-1.0.22.jar"/>
  </resources>
  <dependencies>
    <module name="javax.api" />
    <module name="com.fasterxml.jackson.core.jackson-core" />
    <module name="com.fasterxml.jackson.core.jackson-annotations" />
    <module name="com.fasterxml.jackson.core.jackson-databind" />
    <module name="com.fasterxml.jackson.dataformat.xml" slot="2.8" />
    <module name="com.fasterxml.jackson.dataformat.yaml" slot="2.8" />
    <module name="com.fasterxml.jackson.datatype.joda" slot="2.8" />
    <module name="com.fasterxml.jackson.jaxrs.jackson-jaxrs-json-provider" />
    <module name="com.google.guava" />
    <module name="javax.servlet.api" />
    <module name="javax.validation.api" />
    <module name="javax.ws.rs.api" />
    <module name="javax.xml.bind.api" />
    <module name="org.apache.camel.core" />
    <module name="org.apache.commons.io" />
    <module name="org.apache.commons.lang3" />
    <module name="org.javassist" />
    <module name="org.slf4j" />
    <module name="org.slf4j.ext" />
  </dependencies>
  <exports>
    <exclude path="io/swagger" />
    <exclude path="org/reflections**" />
  </exports>
</module>
